## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# NOTE(mhayden): Tests aren't included yet, but leaving this here in case they
# appear later.
%bcond_with     tests

%global         srcname     azure-synapse-artifacts

Name:           python-%{srcname}
Version:        0.13.0
Release:        %autorelease
Summary:        Microsoft Azure Synapse Artifacts Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
%endif

%global _description %{expand:
Microsoft Azure Synapse Artifacts Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Tue Jul 05 2022 Major Hayden <major@redhat.com> 1:0.13.0-1
- Update to 0.13.0

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 1:0.12.0-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 1:0.12.0-2
- Rebuilt for Python 3.11

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 1:0.12.0-1
- Update to 0.12.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 04 2022 Major Hayden <major@mhtx.net> 1:0.10.0-1
- Update to 0.10.0

* Wed Dec 15 2021 Major Hayden <major@mhtx.net> 1:0.9.0-1
- Update to 0.9.0

* Tue Oct 12 2021 Major Hayden <major@mhtx.net> 1:0.8.0-1
- Update to 0.8.0

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:0.6.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:0.6.0-2
- Add epoch number for 0.6.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:0.6.0-1
- Downgrade to 0.6.0

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 0.6.0-1
- Revert "Update to 0.7.0"

* Tue Jul 20 2021 Major Hayden <major@mhtx.net> 0.7.0-1
- Update to 0.7.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 0.6.0-1
- Initial import (#1971875)
